<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ajax.html</title>
    <script src="table.js"></script>
</head>
<body>
<div id="show"></div>

<!-- <myname>김태경</myname>  ==> markup language(xml)
      myName : 김태경  ==> 키 벨류 형식(json) -->
<!-- Asynchronous Javascript And XML(extended Markup Language) -->
<!-- 비동기 방식 : 비순차적으로 실행 -->
   <script>
    // console.log('first');
    // setTimeout(function(){  //1초있다가 구문 출력
    //     console.log('second');
    // }, 1000);
    // setTimeout(function(){  
    //     console.log('second');
    // }, 1000);
    // console.log('last');

    const xhtp = new XMLHttpRequest(); //비동기방식으로 서버를 요청하고자하는 객체
    xhtp.open('get','MOCK_DATA.json'); //(요청방식, url) => 요청지정
    xhtp.send(); //서버로 요청 => 결과를 받아옴
    xhtp.onload = function(){
        //response => 서버 응답정보
        let obj = JSON.parse(xhtp.response) //json(문자열)로 들어오는 데이터를 => js의 object(객체)로 변환
        console.log(obj); //[{},{},{}] 배열의 모양으로 있음

        //table.js사용
        table.initData = obj;
        document.getElementById('show').append(table.makeTable());

    }
    xhtp.onerror = function(){
        console.log('에러가 발생');
    }

   </script>
</body>
</html>